/***************************************************************************
                          ai.h  -  description
                             -------------------
    begin                : Thu Jan 6 2000
    copyright            : (C) 2000 by Perdig
    email                : perdig@linuxbr.com.br
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef AI_H
#define AI_H

#include <stdlib.h>
#include "global.h"
#include "car.h"

void createAI(aiStruct *ai, mapStruct *map);
void destroyAI();
void orderAI(aiStruct *ai, mapStruct *map);
void moveAI(aiStruct *ai, mapStruct *map);
int getDistance(int fx, int fy, int dx, int dy);
void goTo(carStruct *car, mapStruct *map, int dx, int dy);

// AI Orders
#define CONFUSED -2
#define WANDER -1
#define GET_BLUE 1


// AI Data
// When confused, data will hold how much time it will be left that way

// If defined, just one car will seek the blue, the others wander around
#define ONE_SEEK
// If defined, enemy can stop when lost
//#define ENEMY_STOP
// Time the car will be confused
#define CONFUSED_TIME (5 * FPS) / 2
// Time of unvulnerability after being confused
#define REST_TIME 2

#endif
